commit 832f476372a402c5e537bb595b10fe26c6a65080
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Nov 25 01:25:02 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index eba63a9295c..a10a8a7a512 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-24  Pan Li  <pan2.li@intel.com>
+
+	Backported from master:
+	2025-11-20  Pan Li  <pan2.li@intel.com>
+
+	PR target/122692
+	* config/riscv/riscv.cc (riscv_expand_ustrunc): Leverage
+	riscv_extend_to_xmode_reg to take care of src rtx.
+
 2025-11-21  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* doc/invoke.texi (Optimize Options) <-fmalloc-dce>: Remove
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 0b7cf952dab..e0428feb090 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251124
+20251125
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 051a531c2b5..dbb85c529ee 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-24  Pan Li  <pan2.li@intel.com>
+
+	Backported from master:
+	2025-11-20  Pan Li  <pan2.li@intel.com>
+
+	PR target/122692
+	* g++.target/riscv/pr122692-run-1.C: New test.
+	* g++.target/riscv/pr122692-run-2.C: New test.
+
 2025-11-21  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:

